Create Calendar
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Create a new calendar in GoHighLevel
Request Body
{
"jsonrpc": "2.0",
"id": "ghl-create-calendar-example",
"method": "tools/call",
"params": {
"name": "ghl.create_calendar",
"arguments": {
"name": "name_example",
"calendarType": "round_robin",
"tenantId": "tenantId_123",
"groupId": "groupId_123",
"slotDuration": 1,
"slotDurationUnit": "mins",
"autoConfirm": false,
"allowReschedule": false,
"allowCancellation": false,
"isActive": false
}
}
}
Arguments Schema
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"name": {
"type": "string"
},
"calendarType": {
"type": "string",
"enum": [
"round_robin",
"event",
"class_booking",
"collective",
"service_booking",
"personal"
]
},
"groupId": {
"type": "string"
},
"slotDuration": {
"type": "number"
},
"slotDurationUnit": {
"type": "string",
"enum": [
"mins",
"hours"
]
},
"autoConfirm": {
"type": "boolean"
},
"allowReschedule": {
"type": "boolean"
},
"allowCancellation": {
"type": "boolean"
},
"isActive": {
"type": "boolean"
}
},
"required": [
"name",
"calendarType"
]
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-create-calendar-example",
"method": "tools/call",
"params": {
"name": "ghl.create_calendar",
"arguments": {
"name": "name_example",
"calendarType": "round_robin",
"tenantId": "tenantId_123",
"groupId": "groupId_123",
"slotDuration": 1,
"slotDurationUnit": "mins",
"autoConfirm": false,
"allowReschedule": false,
"allowCancellation": false,
"isActive": false
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "ghl-create-calendar-example",
"method": "tools/call",
"params": {
"name": "ghl.create_calendar",
"arguments": {
"name": "name_example",
"calendarType": "round_robin",
"tenantId": "tenantId_123",
"groupId": "groupId_123",
"slotDuration": 1,
"slotDurationUnit": "mins",
"autoConfirm": false,
"allowReschedule": false,
"allowCancellation": false,
"isActive": false
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "ghl-create-calendar-example",
"method": "tools/call",
"params": {
"name": "ghl.create_calendar",
"arguments": {
"name": "name_example",
"calendarType": "round_robin",
"tenantId": "tenantId_123",
"groupId": "groupId_123",
"slotDuration": 1,
"slotDurationUnit": "mins",
"autoConfirm": false,
"allowReschedule": false,
"allowCancellation": false,
"isActive": false
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool ghl.create_calendar executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}